Home > Element Reference : Editor

Contents

### Editor

An iframe which is expected to contain an editable Web document.

#### Attributes:

Attributes inherited from XUL Element

#### Properties and Methods:

Properties and Methods inherited from XUL Element

contentDocument

This read-only property contains the document object in the editor.

docShell

This read-only property contains the nsIDocShell object for the document.

webNavigation

This read-only property contains the nsIWebNavigation object for the document. Most of its methods are callable directly on the editor itself, such as goBack and goForward. It also contains the load constants used by reloadWithFlags and loadURIWithFlags.

Copyright (C) 1999 - 2002 XULPlanet.com